%define majver %(echo %version | cut -d. -f1-2)
Name:          gcr3
Version:       3.41.1
Release:       1mamba
Summary:       A library for displaying certificates, and crypto UI, accessing key stores
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://wiki.gnome.org/
Source:        http://ftp.acc.umu.se/pub/GNOME/sources/gcr/%{majver}/gcr-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libcairo-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgtk3-devel
BuildRequires: libp11-kit-devel
BuildRequires: libpango-devel
## AUTOBUILDREQ-END
BuildRequires: intltool
BuildRequires: gtk-doc

%description
GCR is a library for displaying certificates, and crypto UI, accessing key stores. It also provides the viewer for crypto files on the GNOME desktop.
GCK is a library for accessing PKCS#11 modules like smart cards, in a (G)object oriented way.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries provided with %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}
This package contains the shared libraries provided with %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%package apidocs
Group:         Documentation
Summary:       %{name} API documentation
Requires:      gtk-doc

%description apidocs
This package includes the %{name} API documentation.

%debug_package

%prep
%setup -q -n gcr-%{version}
#-D -T

%build
#:<< _EOF
%meson \
   -Dgtk_doc=true \
   -Dssh_agent=false

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%find_lang gcr

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -f gcr.lang
%defattr(-,root,root)
%{_bindir}/gcr-viewer
%{_datadir}/GConf/gsettings/org.gnome.crypto.pgp.convert
%{_datadir}/GConf/gsettings/org.gnome.crypto.pgp_keyservers.convert
%{_datadir}/applications/gcr-prompter.desktop
%{_datadir}/applications/gcr-viewer.desktop
%{_datadir}/dbus-1/services/org.gnome.keyring.PrivatePrompter.service
%{_datadir}/dbus-1/services/org.gnome.keyring.SystemPrompter.service
%{_datadir}/glib-2.0/schemas/org.gnome.crypto.pgp.gschema.xml
%{_datadir}/icons/hicolor/*/apps/gcr-*.png
%{_datadir}/mime/packages/gcr-crypto-types.xml

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libgck-1.so.*
%{_libdir}/libgcr-base-3.so.*
%{_libdir}/libgcr-ui-3.so.*
%{_libdir}/girepository-1.0/Gck-1.typelib
%{_libdir}/girepository-1.0/Gcr-3.typelib
%{_libdir}/girepository-1.0/GcrUi-3.typelib
%{_libexecdir}/gcr-prompter
%{_libexecdir}/gcr-ssh-askpass
%doc COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/gck-1/gck
%{_includedir}/gck-1/gck/*
%dir %{_includedir}/gcr-3/gcr
%{_includedir}/gcr-3/gcr/*
%dir %{_includedir}/gcr-3/ui
%{_includedir}/gcr-3/ui/*.h
%{_libdir}/libgck-1.so
#%{_libdir}/libgcr-3.so
%{_libdir}/libgcr-base-3.so
%{_libdir}/libgcr-ui-3.so
%{_libdir}/pkgconfig/gck-1.pc
%{_libdir}/pkgconfig/gcr-3.pc
%{_libdir}/pkgconfig/gcr-base-3.pc
%{_libdir}/pkgconfig/gcr-ui-3.pc
%{_datadir}/gir-1.0/Gck-1.gir
%{_datadir}/gir-1.0/Gcr-3.gir
%{_datadir}/gir-1.0/GcrUi-3.gir
%{_datadir}/vala/vapi/*
%doc NEWS README.md

%files apidocs
%defattr(-,root,root)
%dir %{_docdir}/gck-1
%{_docdir}/gck-1/*
%dir %{_docdir}/gcr-3
%{_docdir}/gcr-3/*
%dir %{_docdir}/gcr-ui-3
%{_docdir}/gcr-ui-3/*

%changelog
* Wed Nov 02 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 3.41.1-1mamba
- update to 3.41.1 (as legacy package)

* Wed Jan 13 2021 Automatic Build System <autodist@mambasoft.it> 3.38.1-1mamba
- automatic version update by autodist

* Mon Oct 05 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 3.38.0-1mamba
- update to 3.38.0

* Thu Mar 26 2020 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 3.36.0-1mamba
- update to 3.36.0

* Sat Oct 19 2019 Automatic Build System <autodist@mambasoft.it> 3.34.0-1mamba
- automatic version update by autodist

* Wed Sep 11 2019 Automatic Build System <autodist@mambasoft.it> 3.33.4-1mamba
- automatic version update by autodist

* Mon Jan 28 2019 Automatic Build System <autodist@mambasoft.it> 3.28.1-1mamba
- automatic version update by autodist

* Mon Mar 26 2018 Automatic Build System <autodist@mambasoft.it> 3.28.0-1mamba
- automatic version update by autodist

* Sat Apr 09 2016 Automatic Build System <autodist@mambasoft.it> 3.20.0-1mamba
- automatic version update by autodist

* Fri Oct 09 2015 Automatic Build System <autodist@mambasoft.it> 3.18.0-1mamba
- automatic version update by autodist

* Wed May 13 2015 Automatic Build System <autodist@mambasoft.it> 3.16.0-1mamba
- automatic version update by autodist

* Thu Apr 09 2015 Automatic Build System <autodist@mambasoft.it> 3.15.92-1mamba
- automatic version update by autodist

* Tue Sep 23 2014 Automatic Build System <autodist@mambasoft.it> 3.14.0-1mamba
- automatic version update by autodist

* Wed May 14 2014 Automatic Build System <autodist@mambasoft.it> 3.12.2-1mamba
- automatic version update by autodist

* Wed Mar 26 2014 Automatic Build System <autodist@mambasoft.it> 3.12.0-1mamba
- automatic version update by autodist

* Tue Oct 29 2013 Automatic Build System <autodist@mambasoft.it> 3.10.1-1mamba
- automatic version update by autodist

* Sat May 04 2013 Automatic Build System <autodist@mambasoft.it> 3.8.2-1mamba
- automatic version update by autodist

* Tue Apr 16 2013 Automatic Build System <autodist@mambasoft.it> 3.8.1-1mamba
- automatic version update by autodist

* Thu Mar 28 2013 Automatic Build System <autodist@mambasoft.it> 3.8.0-1mamba
- automatic version update by autodist

* Fri Dec 07 2012 Automatic Build System <autodist@mambasoft.it> 3.6.2-1mamba
- automatic version update by autodist

* Tue Oct 16 2012 Automatic Build System <autodist@mambasoft.it> 3.6.1-1mamba
- automatic version update by autodist

* Thu Sep 27 2012 Automatic Build System <autodist@mambasoft.it> 3.6.0-1mamba
- update to 3.6.0

* Sat Sep 15 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.1-2mamba
- .typelib files moved from -devel to main package

* Tue Jun 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.1-1mamba
- package created by autospec
